Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227244 - Review Request: gfa-0.4.1 - GTK+ fast address book
Summary: Review Request: gfa-0.4.1 - GTK+ fast address book
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-03 22:09 UTC by Damien Durand
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-09 16:56:39 UTC
chitlesh: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Damien Durand 2007-02-03 22:09:19 UTC
Spec URL: http://glive.tuxfamily.org/fedora/gfa/gfa.spec
SRPM URL: http://glive.tuxfamily.org/fedora/gfa/gfa-0.4.1-1.src.rpm
Description: gfa is a small and fast address book written in C and GTK+2. It uses 
sqlite as backend for the addresses

Comment 1 Chitlesh GOORAH 2007-02-05 20:29:10 UTC
Some minor issues :
#001 ChangeLog should be among the %doc

#002 add timestamps to your make
make INSTALL="%{__install} -c -p" install DESTDIR=$RPM_BUILD_ROOT


Comment 2 Chitlesh GOORAH 2007-02-05 20:43:20 UTC
And for your scriplets:

you shouldn't be using update-desktop-database &> /dev/null ||:
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets?highlight=%28Scriptlets%29#head-de6770dd9867fcd085a73a4700f6bcd0d10294ef

but 
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/%{name}/pixmaps/ || :

Comment 3 Michael Schwendt 2007-02-05 23:00:04 UTC
* %{_datadir}/%{name}/ is not included!
http://fedoraproject.org/wiki/Packaging/FrequentlyMadeMistakes

* Desktop file category Application has never been official and should
be removed, especially when desktop-file-install (or -validate) complains
about it.

> %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/%{name}/pixmaps/ || :

Certainly not.

Comment 5 Chitlesh GOORAH 2007-03-17 21:56:03 UTC
* Desktop file
  - Category
-------------------------------------------------------------
	--add-category X-Fedora				\
-------------------------------------------------------------
This category is deprecated and should be removed.

Comment 7 Chitlesh GOORAH 2007-03-18 18:04:46 UTC
MUST Items:

- MUST: rpmlint's output is clean
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No subpackages present.

APPROVED

Comment 8 Chitlesh GOORAH 2007-03-18 18:12:44 UTC
Follow http://fedoraproject.org/wiki/CVSAdminProcedure for the CVS Request
procedure.

Comment 9 Damien Durand 2007-03-18 18:44:56 UTC
New Package CVS Request
=======================
Package Name: gfa
Short Description: gfa is a small and fast address book 
Owners: splinux25@gmail.com
Branches: FC-6
InitialCC: splinux25@gmail.com

Comment 10 Mamoru TASAKA 2007-03-18 18:45:25 UTC
A quick comment:
* sourceURL
  - For source0, please check 
    http://fedoraproject.org/wiki/Packaging/SourceURL
* http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
  - This desktop file does not contain mimetype and
    update-desktop-database is not needed.
* desktop file category
  - Category "Application" "X-Fedora" are deprecated and should
    be removed.

Comment 11 Warren Togami 2007-03-19 00:41:42 UTC
> InitialCC: splinux25@gmail.com

Please don't list the same address in InitialCC as owners list.

Comment 12 Damien Durand 2007-03-19 12:54:15 UTC
Fixed, rebuilt and imported ;-)

Comment 13 Mamoru TASAKA 2007-03-19 13:00:53 UTC
I checked -4, however none of the issue I addressed are
not fixed.

Comment 14 Mamoru TASAKA 2007-03-19 13:01:53 UTC
Oops.. I meant "none of the issues are fixed"...

Comment 15 Chitlesh GOORAH 2007-04-11 20:25:25 UTC
(In reply to comment #10)
> A quick comment:
> * sourceURL
>   - For source0, please check 
>     http://fedoraproject.org/wiki/Packaging/SourceURL


> * http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
>   - This desktop file does not contain mimetype and
>     update-desktop-database is not needed.

These 2 issues haven't been addressed yet. Damien, please proceed as necessary
ASAP and close this bug.

Comment 16 Chitlesh GOORAH 2007-04-26 09:47:18 UTC
Ping ?

Comment 17 Kevin Fenzi 2007-06-06 20:13:38 UTC
From what I can see the two items mentioned in comment #15 are fixed in CVS now. 
Can this bug be closed?


Note You need to log in before you can comment on or make changes to this bug.